GENEPARSE(1)

NAME
geneparse - sequence file loader frontend

SYNAPSE
geneparse [options...] [input] [input2 ...] #read input and write to stdout

DESCRIPTION
Reads a sequence file and writes it somewhere (by default to stdout).

A specific range within an input file can be specified by file[start,stop]. The square brackets can be interchanged for any of {[()]}, (eg. "genome.fa[3000,4000]" or "genome.fa{3000~4000}"). Be aware that all of those might be parsed by your shell. Also any non-word character can be used to separate the numbers.

OPTIONS

--repeatmask|-r
    use soft-repeatmasked sequences (ie: replace lowercase bases with N's).

--upper|--unmask|-U
     uppercase all bases.

--length|-l
    just print the length and exit

--clean|-c
    don't append a new line when finished

--version|-V
    prints the program version

--help|-h
    prints a help message

--output|-o
    send output to a file (otherwise use stdout). --output implies --clean.

--quiet|-q
    silence all warnings

--verbose|-v
    prints lots of extra details

LICENSE
GNU General Public License, version 3 (GPLv3)

AVAILABILITY
<http://murasaki.sourceforge.net>

AUTHOR
Kris Popendorf <krisp@dna.bio.keio.ac.jp>

SEE ALSO
murasaki(1), geneparse(1)